org.apache.poi.hwmf.draw

## Enum HwmfGraphics.FillDrawStyle

- java.lang.Object
- - java.lang.Enum<HwmfGraphics.FillDrawStyle>
  - - org.apache.poi.hwmf.draw.HwmfGraphics.FillDrawStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfGraphics.FillDrawStyle>
  Enclosing class:
    HwmfGraphics

      public static enum HwmfGraphics.FillDrawStyle
      extends java.lang.Enum<HwmfGraphics.FillDrawStyle>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DRAW`
    `FILL`
    `FILL_DRAW`
    `NONE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.BiConsumer<HwmfGraphics,java.awt.Shape>` | `handler`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfGraphics.FillDrawStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfGraphics.FillDrawStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final HwmfGraphics.FillDrawStyle NONE

    - #### FILL

          public static final HwmfGraphics.FillDrawStyle FILL

    - #### DRAW

          public static final HwmfGraphics.FillDrawStyle DRAW

    - #### FILL_DRAW

          public static final HwmfGraphics.FillDrawStyle FILL_DRAW

  - ### Field Detail

    - #### handler

          public final java.util.function.BiConsumer<HwmfGraphics,java.awt.Shape> handler

  - ### Method Detail

    - #### values

          public static HwmfGraphics.FillDrawStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfGraphics.FillDrawStyle c : HwmfGraphics.FillDrawStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfGraphics.FillDrawStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.